org.apache.cayenne.access.translator.ejbql

## Class EJBQLSelectTranslator

- java.lang.Object
- - org.apache.cayenne.ejbql.EJBQLBaseVisitor
  - - org.apache.cayenne.access.translator.ejbql.EJBQLSelectTranslator

- All Implemented Interfaces:
    EJBQLExpressionVisitor

      public class EJBQLSelectTranslator
      extends EJBQLBaseVisitor

  A translator of EJBQL SELECT statements into SQL.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EJBQLTranslationContext` | `context`

    - ### Fields inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `continueFlag`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EJBQLSelectTranslator(EJBQLTranslationContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visitDistinct(EJBQLExpression expression)`
    `boolean` | `visitFrom(EJBQLExpression expression, int finishedChildIndex)`
    `boolean` | `visitGroupBy(EJBQLExpression expression)`
    `boolean` | `visitHaving(EJBQLExpression expression)`
    `boolean` | `visitOrderBy(EJBQLExpression expression)`
    `boolean` | `visitSelect(EJBQLExpression expression)`
    `boolean` | `visitSelectClause(EJBQLExpression expression)`
    `boolean` | `visitSelectExpressions(EJBQLExpression expression)`
    `boolean` | `visitWhere(EJBQLExpression expression)`

    - ### Methods inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `visitAbs, visitAbstractSchemaName, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitAscending, visitAverage, visitBetween, visitBooleanLiteral, visitClassName, visitConcat, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitCurrentDate, visitCurrentTime, visitCurrentTimestamp, visitDbPath, visitDecimalLiteral, visitDelete, visitDescending, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitFromItem, visitGreaterOrEqual, visitGreaterThan, visitIdentificationVariable, visitIdentifier, visitIn, visitInnerFetchJoin, visitInnerJoin, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitLocate, visitLower, visitMax, visitMemberOf, visitMin, visitMod, visitMultiply, visitNamedInputParameter, visitNamedInputParameterForIn, visitNegative, visitNot, visitNotEquals, visitOr, visitOrderByItem, visitOuterFetchJoin, visitOuterJoin, visitPath, visitPatternValue, visitPositionalInputParameter, visitPositionalInputParameterForIn, visitSelectExpression, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubstring, visitSubtract, visitSum, visitTok, visitTrim, visitTrimBoth, visitTrimCharacter, visitTrimLeading, visitTrimTrailing, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitUpper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected EJBQLTranslationContext context

  - ### Constructor Detail

    - #### EJBQLSelectTranslator

          protected EJBQLSelectTranslator(EJBQLTranslationContext context)

  - ### Method Detail

    - #### visitDistinct

          public boolean visitDistinct(EJBQLExpression expression)

      Specified by:
        `visitDistinct` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitDistinct` in class `EJBQLBaseVisitor`

    - #### visitFrom

          public boolean visitFrom(EJBQLExpression expression,
                                   int finishedChildIndex)

      Specified by:
        `visitFrom` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitFrom` in class `EJBQLBaseVisitor`

    - #### visitGroupBy

          public boolean visitGroupBy(EJBQLExpression expression)

      Specified by:
        `visitGroupBy` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitGroupBy` in class `EJBQLBaseVisitor`

    - #### visitHaving

          public boolean visitHaving(EJBQLExpression expression)

      Specified by:
        `visitHaving` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitHaving` in class `EJBQLBaseVisitor`

    - #### visitOrderBy

          public boolean visitOrderBy(EJBQLExpression expression)

      Specified by:
        `visitOrderBy` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitOrderBy` in class `EJBQLBaseVisitor`

    - #### visitSelect

          public boolean visitSelect(EJBQLExpression expression)

      Specified by:
        `visitSelect` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitSelect` in class `EJBQLBaseVisitor`

    - #### visitSelectClause

          public boolean visitSelectClause(EJBQLExpression expression)

      Specified by:
        `visitSelectClause` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitSelectClause` in class `EJBQLBaseVisitor`

    - #### visitSelectExpressions

          public boolean visitSelectExpressions(EJBQLExpression expression)

      Specified by:
        `visitSelectExpressions` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitSelectExpressions` in class `EJBQLBaseVisitor`

    - #### visitWhere

          public boolean visitWhere(EJBQLExpression expression)

      Specified by:
        `visitWhere` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitWhere` in class `EJBQLBaseVisitor`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.